<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 不正アクセスチェック
	require_once 'wysiwyg_access_check.php';
	include '../src/function_cms.php';
	$conn = init_sqlite();
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor｜ソーシャルボタンの選択</title>
<link href="../cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<link href="../cssfiles/lightbox.css" rel="stylesheet" type="text/css" media="screen" >
<script src="../jQuery/jquery-3.2.1.min.js"></script>
<script>
jQuery(function(){
	$("#sns_btn_del").click(function() {
		if (confirm("ＳＮＳボタンを削除しても良いですか？")) {
			window.opener.$(".editable_sns_btn:eq(<?php echo $_GET["index"];?>)").remove();
			window.open("about:blank","_self").close();
		}else{
			return;	
		}
	});
});
</script>


<!--<script src="../js/facebook_code.js"></script>-->
<script src="../js/twitter_code.js"></script>
</head>

<body style="padding-left:10px;">
<?php include("facebook_code_basic.php");?>

<div id="container" style="width:800px;">
<div  class="page_title">ソーシャルボタンの選択</div>
<br class="clear_both">
<p class="guide">以下の１、２を選択/入力し、[確認]ボタンをクリックしてください。</p><br>
<p class="guide3">１．挿入するソーシャルボタン</p>
<?php
if (!$_GET["modoru"]) {
	if ($_GET["proc"] == "upd") {
		$file_fullname		= $_POST["file_fullname"];
		$sns_req_url		= $_POST["sns_req_url"];
		$tweet_btn_umu 		= $_POST["tweet_button_input"];	// 1桁目（facebookボタン表示有無）
		$facebook_btn_umu 	= $_POST["like_button_input"];	// 1桁目（facebookボタン表示有無）
		$fb_share_btn_umu	= $_POST["share_button_input"];	// 2桁目（ツイートボタン表示有無）
		$google_btn_umu 	= $_POST["google_button_input"];	// 3桁目（google+ボタン表示有無）
		
	}else{
		$file_fullname		= NULL;
		$sns_req_url		= $_GET["sns_req_url"];
		$tweet_btn_umu 		= 1;	// 2桁目（ツイートボタン表示有無）
		$facebook_btn_umu 	= 1;	// 1桁目（facebookボタン表示有無）
		$fb_share_btn_umu 	= 1;	// 1桁目（facebookボタン表示有無）
		$google_btn_umu 	= 0;	// 3桁目（google+ボタン表示有無）
	}
}else{	// 確認画面から戻ったとき
		$file_fullname		= $_SESSION["file_fullname"];
		$sns_req_url		= $_SESSION["sns_req_url"];
		$tweet_btn_umu 		= $_SESSION["tweet_button_input"];	// 1桁目（facebookボタン表示有無）
		$facebook_btn_umu 	= $_SESSION["like_button_input"];	// 1桁目（facebookボタン表示有無）
		$fb_share_btn_umu 	= $_SESSION["share_button_input"];	// 2桁目（ツイートボタン表示有無）
		$google_btn_umu 	= $_SESSION["google_button_input"];	// 3桁目（google+ボタン表示有無）
}
echo '<form action="wysiwyg_sns_mng_kakunin.php?proc='.$_GET["proc"].'&call_level='.$_GET["call_level"].'&index='.$_GET["index"].'&sns_req_url='.$sns_req_url.'" method="POST" enctype="multipart/form-data">';
if ($facebook_btn_umu == "1") {
	$like_check1	= "checked";
	$like_check2	= NULL;
}else{
	$like_check1	= NULL;
	$like_check2	= "checked";
}
if ($fb_share_btn_umu == "1") {
	$share_check1	= "checked";
	$share_check2	= NULL;
}else{
	$share_check1	= NULL;
	$share_check2	= "checked";
}
if ($tweet_btn_umu == "1") {
	$tweet_check1	= "checked";
	$tweet_check2	= NULL;
}else{
	$tweet_check1	= NULL;
	$tweet_check2	= "checked";
}

if ($google_btn_umu == "1") {
	$google_check1	= "checked";
	$google_check2	= NULL;
}else{
	$google_check1	= NULL;
	$google_check2	= "checked";
}

echo '<div class="twitter_button"><a href="https://twitter.com/share" class="twitter-share-button" data-url="" data-text="" data-lang="ja" data-size="large">ツイート</a></div>';
echo '<div class="facebook_share_button"><div class="fb-share-button" data-href="" data-layout="button_count" data-size="large" data-mobile-iframe="true"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fplugins%2F&amp;src=sdkpreparse" class="fb-xfbml-parse-ignore">シェア</a></div></div>';
echo '<div class="facebook_button"><div class="fb-like" data-href="" data-layout="button" data-action="like" data-size="large" data-show-faces="false" data-share="false"></div></div>';
echo '<div class="google_button"><g:plusone size="standard" href=""></g:plusone></div>';
/*9
echo "<div class=\"facebook_button\"><img src=\"".$domain_url_hp_ref."img/button/like_btn_box.png\" alt=\"icon\" align=\"absmiddle\"></div>";
echo "<div class=\"facebook_button\"><img src=\"".$domain_url_hp_ref."img/button/share_btn_box.png\" alt=\"icon\" align=\"absmiddle\"></div>";
echo "<div class=\"google_button\"><img src=\"".$domain_url_hp_ref."img/button/google_btn_box.png\" alt=\"icon\" align=\"absmiddle\"></div>";
*/
echo '<input type="hidden" name="file_fullname" value="'.$file_fullname.'">';
echo '<input type="hidden" name="sns_req_url" value="'.$sns_req_url.'">';
echo '<br class="clear_both">';
echo "<div class=\"twitter_button\"><input type=\"radio\" name=\"tweet_button_input\" value=\"1\" ". $tweet_check1.">表示する <br>
          	<input type=\"radio\" name=\"tweet_button_input\" value=\"0\" ". $tweet_check2.">しない ";
echo "</div>";
echo "<div class=\"facebook_button\"><input type=\"radio\" name=\"share_button_input\" value=\"1\" ". $share_check1.">表示する<br>
          	<input type=\"radio\" name=\"share_button_input\" value=\"0\" ". $share_check2.">しない";
echo "</div>";
echo "<div class=\"facebook_button\"><input type=\"radio\" name=\"like_button_input\" value=\"1\" ". $like_check1.">表示する<br>
          	<input type=\"radio\" name=\"like_button_input\" value=\"0\" ". $like_check2.">しない";
echo "</div>";
echo "<div class=\"google_button\"><input type=\"radio\" name=\"google_button_input\" value=\"1\" ". $google_check1.">表示する<br>
          	<input type=\"radio\" name=\"google_button_input\" value=\"0\" ". $google_check2.">しない";
echo "</div>";
echo '<br class="clear_both">';
echo '<br>';
echo '<p class="guide3">２．ボタンがクリックされたときにＳＮＳ側に表示される「画像/写真」「タイトル」「説明」</p>';
$sns_ogp_data_ari = false;
if ($_GET['modoru'] || $_GET["err"]){
		$ogp_title 			= $_SESSION["ogp_title"];
		$ogp_description 	= $_SESSION["ogp_description"];
}else{
	if ($_GET["proc"] == "upd") {
		$ogp_title 					= $_POST["ogp_title"];
		$ogp_description 			= $_POST["ogp_description"];
		$_SESSION['upload_file']	= $_POST['upload_file'];
		$_SESSION['dummy_page_url']	= $_POST['dummy_page_url'];
		$sns_ogp_data_ari			= true;
	}else{
		$ogp_title 					= NULL;
		$ogp_description 			= NULL;
		$_SESSION['upload_file']	= NULL;
	}
}
echo '<div class="item_title2">画像/写真</div>　※省略すると「画像/写真」は表示されません。';
echo '<br class="clear_both">';
if ($_SESSION['upload_file'] <> NULL && ($_GET["modoru"] || $_GET["proc"] == "upd" || $sns_ogp_data_ari)) {
	echo '　<div class="p_sel_img2">';
	if (substr($_SESSION['upload_file'],0,3) <> "../") {
		$_SESSION['upload_file'] = "../".$_SESSION['upload_file'];
	}
	//echo '$_SESSION[upload_file]='.$_SESSION['upload_file'];	// test
	echo '<img src="'.$_SESSION['upload_file'].'">';
	echo '</div>';
	echo '<br class="clear_both">';
}
echo '　<input type="file" name="filename" size="50"><br>　<span class="aka1">※添付できるのはJPEG/PNG/GIF形式のファイルのみです。<br>
　※画像のサイズは486×255px（横×縦）のときに等倍でピッタリと表示されます。<br>
　　これよりも大きなサイズの画像は横幅486pxに縮小されます。</span>';
echo "<br class=\"clear_both\"><br>";
echo '<div class="item_title2">タイトル</div>　※省略した場合は、管理ページ「検索対策」で登録した「タイトル」が、SNS側に表示されます。';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"ogp_title\" cols=\"58\" rows=\"1\">";
echo $ogp_title; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
echo '<div class="item_title2">説明文</div>　※省略した場合は、管理ページ「検索対策」で登録した「説明文」が、SNS側に表示されます。';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"ogp_description\" cols=\"50\" rows=\"5\">";
echo $ogp_description; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
?>
<div class="btn"><input type="submit" value="　確認　" ></div>
<?php
if ($_GET["proc"] == "upd") echo '<div class="btn"><input type="button" id="sns_btn_del" value="ＳＮＳボタン削除"></div>';
?>
<div class="btn"><input type="button" value="　閉じる　" onClick="window.open('about:blank','_self').close();	"></div>
<br class="clear_both">

</form>
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">

</div><!-- end id="mainarea"-->

</div><!-- end id="contents_page"-->
<br class="clear_both">


</div><!-- end id="container"-->
<script src="https://apis.google.com/js/platform.js" async defer></script>
</body>
<script>window.focus();</script>
</html>
